// Compiled by ClojureScript 1.10.520 {}
goog.provide('hoplon.svg');
goog.require('cljs.core');
goog.require('hoplon.core');
cljs.core._add_method.call(null,hoplon.core.do_BANG_,new cljs.core.Keyword("xlink","*","xlink/*",-1176139752),(function (elem,kw,val){
var xlink = "http://www.w3.org/1999/xlink";
return elem.setAttributeNS(xlink,cljs.core.name.call(null,kw),val);
}));
hoplon.svg.make_svg_ctor = (function hoplon$svg$make_svg_ctor(tag){
var xmlns = "http://www.w3.org/2000/svg";
return ((function (xmlns){
return (function() { 
var G__30734__delegate = function (args){
return cljs.core.apply.call(null,hoplon.core.ensure_kids_BANG_.call(null,document.createElementNS(xmlns,tag)),args);
};
var G__30734 = function (var_args){
var args = null;
if (arguments.length > 0) {
var G__30735__i = 0, G__30735__a = new Array(arguments.length -  0);
while (G__30735__i < G__30735__a.length) {G__30735__a[G__30735__i] = arguments[G__30735__i + 0]; ++G__30735__i;}
  args = new cljs.core.IndexedSeq(G__30735__a,0,null);
} 
return G__30734__delegate.call(this,args);};
G__30734.cljs$lang$maxFixedArity = 0;
G__30734.cljs$lang$applyTo = (function (arglist__30736){
var args = cljs.core.seq(arglist__30736);
return G__30734__delegate(args);
});
G__30734.cljs$core$IFn$_invoke$arity$variadic = G__30734__delegate;
return G__30734;
})()
;
;})(xmlns))
});
hoplon.svg.a = hoplon.svg.make_svg_ctor.call(null,"a");
hoplon.svg.altGlyph = hoplon.svg.make_svg_ctor.call(null,"altGlyph");
hoplon.svg.altGlyphDef = hoplon.svg.make_svg_ctor.call(null,"altGlyphDef");
hoplon.svg.altGlyphItem = hoplon.svg.make_svg_ctor.call(null,"altGlyphItem");
hoplon.svg.animate = hoplon.svg.make_svg_ctor.call(null,"animate");
hoplon.svg.animateColor = hoplon.svg.make_svg_ctor.call(null,"animateColor");
hoplon.svg.animateMotion = hoplon.svg.make_svg_ctor.call(null,"animateMotion");
hoplon.svg.animateTransform = hoplon.svg.make_svg_ctor.call(null,"animateTransform");
hoplon.svg.circle = hoplon.svg.make_svg_ctor.call(null,"circle");
hoplon.svg.clipPath = hoplon.svg.make_svg_ctor.call(null,"clipPath");
hoplon.svg.color_profile = hoplon.svg.make_svg_ctor.call(null,"color-profile");
hoplon.svg.cursor = hoplon.svg.make_svg_ctor.call(null,"cursor");
hoplon.svg.defs = hoplon.svg.make_svg_ctor.call(null,"defs");
hoplon.svg.desc = hoplon.svg.make_svg_ctor.call(null,"desc");
hoplon.svg.ellipse = hoplon.svg.make_svg_ctor.call(null,"ellipse");
hoplon.svg.feBlend = hoplon.svg.make_svg_ctor.call(null,"feBlend");
hoplon.svg.feColorMatrix = hoplon.svg.make_svg_ctor.call(null,"feColorMatrix");
hoplon.svg.feComponentTransfer = hoplon.svg.make_svg_ctor.call(null,"feComponentTransfer");
hoplon.svg.feComposite = hoplon.svg.make_svg_ctor.call(null,"feComposite");
hoplon.svg.feConvolveMatrix = hoplon.svg.make_svg_ctor.call(null,"feConvolveMatrix");
hoplon.svg.feDiffuseLighting = hoplon.svg.make_svg_ctor.call(null,"feDiffuseLighting");
hoplon.svg.feDisplacementMap = hoplon.svg.make_svg_ctor.call(null,"feDisplacementMap");
hoplon.svg.feDistantLight = hoplon.svg.make_svg_ctor.call(null,"feDistantLight");
hoplon.svg.feFlood = hoplon.svg.make_svg_ctor.call(null,"feFlood");
hoplon.svg.feFuncA = hoplon.svg.make_svg_ctor.call(null,"feFuncA");
hoplon.svg.feFuncB = hoplon.svg.make_svg_ctor.call(null,"feFuncB");
hoplon.svg.feFuncG = hoplon.svg.make_svg_ctor.call(null,"feFuncG");
hoplon.svg.feFuncR = hoplon.svg.make_svg_ctor.call(null,"feFuncR");
hoplon.svg.feGaussianBlur = hoplon.svg.make_svg_ctor.call(null,"feGaussianBlur");
hoplon.svg.feImage = hoplon.svg.make_svg_ctor.call(null,"feImage");
hoplon.svg.feMerge = hoplon.svg.make_svg_ctor.call(null,"feMerge");
hoplon.svg.feMergeNode = hoplon.svg.make_svg_ctor.call(null,"feMergeNode");
hoplon.svg.feMorphology = hoplon.svg.make_svg_ctor.call(null,"feMorphology");
hoplon.svg.feOffset = hoplon.svg.make_svg_ctor.call(null,"feOffset");
hoplon.svg.fePointLight = hoplon.svg.make_svg_ctor.call(null,"fePointLight");
hoplon.svg.feSpecularLighting = hoplon.svg.make_svg_ctor.call(null,"feSpecularLighting");
hoplon.svg.feSpotLight = hoplon.svg.make_svg_ctor.call(null,"feSpotLight");
hoplon.svg.feTile = hoplon.svg.make_svg_ctor.call(null,"feTile");
hoplon.svg.feTurbulence = hoplon.svg.make_svg_ctor.call(null,"feTurbulence");
hoplon.svg.filter = hoplon.svg.make_svg_ctor.call(null,"filter");
hoplon.svg.font = hoplon.svg.make_svg_ctor.call(null,"font");
hoplon.svg.font_face = hoplon.svg.make_svg_ctor.call(null,"font-face");
hoplon.svg.font_face_format = hoplon.svg.make_svg_ctor.call(null,"font-face-format");
hoplon.svg.font_face_name = hoplon.svg.make_svg_ctor.call(null,"font-face-name");
hoplon.svg.font_face_src = hoplon.svg.make_svg_ctor.call(null,"font-face-src");
hoplon.svg.font_face_uri = hoplon.svg.make_svg_ctor.call(null,"font-face-uri");
hoplon.svg.foreignObject = hoplon.svg.make_svg_ctor.call(null,"foreignObject");
hoplon.svg.g = hoplon.svg.make_svg_ctor.call(null,"g");
hoplon.svg.glyph = hoplon.svg.make_svg_ctor.call(null,"glyph");
hoplon.svg.glyphRef = hoplon.svg.make_svg_ctor.call(null,"glyphRef");
hoplon.svg.hkern = hoplon.svg.make_svg_ctor.call(null,"hkern");
hoplon.svg.image = hoplon.svg.make_svg_ctor.call(null,"image");
hoplon.svg.line = hoplon.svg.make_svg_ctor.call(null,"line");
hoplon.svg.linearGradient = hoplon.svg.make_svg_ctor.call(null,"linearGradient");
hoplon.svg.marker = hoplon.svg.make_svg_ctor.call(null,"marker");
hoplon.svg.mask = hoplon.svg.make_svg_ctor.call(null,"mask");
hoplon.svg.metadata = hoplon.svg.make_svg_ctor.call(null,"metadata");
hoplon.svg.missing_glyph = hoplon.svg.make_svg_ctor.call(null,"missing-glyph");
hoplon.svg.mpath = hoplon.svg.make_svg_ctor.call(null,"mpath");
hoplon.svg.path = hoplon.svg.make_svg_ctor.call(null,"path");
hoplon.svg.pattern = hoplon.svg.make_svg_ctor.call(null,"pattern");
hoplon.svg.polygon = hoplon.svg.make_svg_ctor.call(null,"polygon");
hoplon.svg.polyline = hoplon.svg.make_svg_ctor.call(null,"polyline");
hoplon.svg.radialGradient = hoplon.svg.make_svg_ctor.call(null,"radialGradient");
hoplon.svg.rect = hoplon.svg.make_svg_ctor.call(null,"rect");
hoplon.svg.script = hoplon.svg.make_svg_ctor.call(null,"script");
hoplon.svg.set = hoplon.svg.make_svg_ctor.call(null,"set");
hoplon.svg.stop = hoplon.svg.make_svg_ctor.call(null,"stop");
hoplon.svg.style = hoplon.svg.make_svg_ctor.call(null,"style");
hoplon.svg.svg = hoplon.svg.make_svg_ctor.call(null,"svg");
hoplon.svg.switch$ = hoplon.svg.make_svg_ctor.call(null,"switch");
hoplon.svg.symbol = hoplon.svg.make_svg_ctor.call(null,"symbol");
hoplon.svg.text = hoplon.svg.make_svg_ctor.call(null,"text");
hoplon.svg.textPath = hoplon.svg.make_svg_ctor.call(null,"textPath");
hoplon.svg.title = hoplon.svg.make_svg_ctor.call(null,"title");
hoplon.svg.tref = hoplon.svg.make_svg_ctor.call(null,"tref");
hoplon.svg.tspan = hoplon.svg.make_svg_ctor.call(null,"tspan");
hoplon.svg.use = hoplon.svg.make_svg_ctor.call(null,"use");
hoplon.svg.view = hoplon.svg.make_svg_ctor.call(null,"view");
hoplon.svg.vkern = hoplon.svg.make_svg_ctor.call(null,"vkern");
